Page MenuHomePhabricator

Image Width and Image Height seem to be mixed up in image metadata (file Exif.php?)
Closed, ResolvedPublic

Description

Example: See image https://commons.wikimedia.org/wiki/File:Lillsj%C3%B6n_2015.jpg

Under Metadata click on "Show extended details"

There it says:
Image height 4,608 px
Image width 3.456 px

It should be the other way around, i.e.
Image width 4,608 px
Image width 3,456 px

Suggestion from [[user:LX]] is that the code around line 177 in the file Exif.php, see http://git.wikimedia.org/blob/mediawiki%2Fcore.git/8dff5095da045442f257a2395c31216e1469bd71/includes%2Fmedia%2FExif.php#L177 might be the cause of this problem.

Details

Related Gerrit Patches:

Event Timeline

Larske created this task.Aug 2 2015, 9:26 PM
Larske raised the priority of this task from to Medium.
Larske updated the task description. (Show Details)
Larske added a project: Commons.
Larske added a subscriber: Larske.
Restricted Application added subscribers: Steinsplitter, Aklapper. · View Herald TranscriptAug 2 2015, 9:26 PM
Larske updated the task description. (Show Details)Aug 2 2015, 9:33 PM
Larske set Security to None.
Larske updated the task description. (Show Details)
Aklapper lowered the priority of this task from Medium to Low.Aug 3 2015, 8:27 AM
Restricted Application added a project: Multimedia. · View Herald TranscriptAug 3 2015, 8:27 AM
Restricted Application added a subscriber: Matanya. · View Herald TranscriptAug 9 2015, 8:15 AM
zhuyifei1999 moved this task from Incoming to Backlog on the Commons board.Aug 9 2015, 8:16 AM
Jdforrester-WMF moved this task from Untriaged to Backlog on the Multimedia board.Sep 4 2015, 5:51 PM
matmarex added a subscriber: matmarex.

It does seem like we have width and height switched around… haha.

	"exif-pixelydimension": "Image width",
	"exif-pixelxdimension": "Image height",

Change 281826 had a related patch set uploaded (by Bartosz Dziewoński):
Swap exif-pixelydimension and exif-pixelxdimension messages

https://gerrit.wikimedia.org/r/281826

Change 281826 merged by jenkins-bot:
Swap exif-pixelydimension and exif-pixelxdimension messages

https://gerrit.wikimedia.org/r/281826

matmarex closed this task as Resolved.Apr 11 2016, 12:47 PM
matmarex removed a project: Patch-For-Review.